from kivy.app import App
from kivy.uix.boxlayout import BoxLayout
import time

class Camara(BoxLayout):
    def capture(self):
        #manejo de la camara
        camera = self.ids['camera']
        #nombre del archivo
        file_name = "capturado"+time.strftime("%Y%m%d_%H%M%S")
        #exportar a un archivo PNG
        camera.export_to_png(file_name+".png")

class Plantilla(App):
    def build(self):
        return Camara()

if __name__ == '__main__':
    Plantilla().run()